Application: gvSIG desktop - gvSIG bugs #4429
gvSIG Dissolve geoprocessing tool is not working
12/05/2016 09:15 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Oscar Martinez

Category: Geoprocess

Target version: 2.5.1-3015

Severity: Major Add-on version:

gvSIG version: 2.4.0 Add-on build:

gvSIG build: 2930 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Dissolve geoprocess in gvSIG geoprocesses is not working correctly in gvSIG 2.3, it's applied only in one polygon.

It works fine in gvSIG 2.2.

| attach log file.

Associated revisions

Revision 948 - 06/06/2017 02:03 PM - Francisco Diaz Carsi

refs #4429 Fixed iteration over features.

Revision 412 - 04/10/2020 03:30 PM - Oscar Martinez

refs #4429 Solucionado calculo del disolve. Soporte para campos duplicados

Revision 1259 - 04/10/2020 03:30 PM - Oscar Martinez

refs #4429 Solucionado calculo del disolve. Soporte para campos duplicados

Revision 2217 - 04/10/2020 03:30 PM - Oscar Martinez

refs #4429 Solucionado calculo del disolve. Soporte para campos duplicados

Revision 1260 - 04/10/2020 08:47 PM - Oscar Martinez

refs #4429 Soporte para geoprocesos gvSIG donde la geometria no esté situada al final

Revision 2218 - 04/10/2020 08:47 PM - Oscar Martinez
refs #4429 Soporte para geoprocesos gvSIG donde la geometria no esté situada al final

History

#1 - 06/05/2017 01:30 PM - Joaquin del Cerro Murciano
- Target version set to 2.4.0-2820 (rev. org.gvsig.desktop-2.0.186)
- Assignee set to Francisco Diaz Carsi

#2 - 06/06/2017 02:04 PM - Francisco Diaz Carsi
- Status changed from New to Fixed

#3 - 06/11/2017 09:47 PM - Alvaro Anguix
- Status changed from Fixed to Closed

#4 - 02/13/2018 04:51 PM - Mario Carrera

- gvSIG build changed from 2501 to 2848

- gvSIG version changed from 2.3.1 to 2.4.0

- Target version deleted (2.4.0-2820 (rev. org.gvsig.desktop-2.0.186) )

- Assignee deleted (Francisco Diaz Carsi)

- Status changed from Closed to New

Funciona en capas de lineas y poligonos, pero sigue fallando en las de puntos, ocurre lo mismo que antes, que solo crea una geoetria.

Parece que es porque gestionamos de forma separada las de punto y multipunto y esta intentando crear multipuntos en capa de puntos.

Reabro el ticket y actualizo informacién.

#5 - 10/11/2018 10:53 AM - Mario Carrera

Anado mas informacion sobre error detectado en el geoproceso:

Si hacemos un disolver de una capa de poligonos, por un campo concreto e indicando el sumatorio de otro campo (por ejemplo el campo AREA):
- Si solo disuelve un elemento el AREA es correcta, es la misma que ese elemento origen.

- Si en cambio son dos 0 mas poligonos los que se unen, el valor del primero lo suma dos veces (por ejemplo teniendo 3 elementos con AREA 10, 20

y 30, lo que suma es 10+10+20+30)

#6 - 02/04/2019 06:43 PM - Alvaro Anguix

- Category set to Geoprocess

#7 - 12/19/2019 10:02 AM - Alvaro Anguix
- Target version set to 2.5.1-3044

#8 - 12/19/2019 10:05 AM - Alvaro Anguix

- File cv.zip added

Subo un shape de municipios de la CV por si necesitais probar. Pillas cualquier CODUNIT para disolver y veréis que no funciona.

#9 - 12/19/2019 10:08 AM - Alvaro Anguix
- gvSIG build changed from 2848 to 2930

Actualizo el build, porque en la 2.5 final sigue pasando

#10 - 03/26/2020 01:38 AM - Joaquin del Cerro Murciano

- Target version changed from 2.5.1-3044 to 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278)
#11 - 03/26/2020 01:58 PM - Joaquin del Cerro Murciano

- Priority changed from Normal to High

- Assignee set to Oscar Martinez

#12 - 03/26/2020 02:57 PM - Joaquin del Cerro Murciano
- Priority changed from High to Urgent

#13 - 04/07/2020 09:42 PM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3015

#14 - 04/07/2020 09:45 PM - Joaquin del Cerro Murciano
- Priority changed from Urgent to Immediate

#15 - 04/09/2020 04:55 PM - Oscar Martinez

Mario Carrera wrote:
Funciona en capas de lineas y poligonos, pero sigue fallando en las de puntos, ocurre lo mismo que antes, que solo crea una geoetria.
Parece que es porque gestionamos de forma separada las de punto y multipunto y esta intentando crear multipuntos en capa de puntos.
Reabro el ticket y actualizo informacion.

Se he hecho que toda capa que crea el Disolver genera una de multipunto, multilinea o multipoligono para estar preparada para coger ese tipo de

geometrias

#16 - 04/09/2020 04:56 PM - Oscar Martinez

Mario Carrera wrote:

Anado mas informacion sobre error detectado en el geoproceso:

Si hacemos un disolver de una capa de poligonos, por un campo concreto e indicando el sumatorio de otro campo (por ejemplo el campo AREA):

- Si solo disuelve un elemento el AREA es correcta, es la misma que ese elemento origen.

- Si en cambio son dos o mds poligonos los que se unen, el valor del primero lo suma dos veces (por ejemplo teniendo 3 elementos con AREA
10, 20 y 30, lo que suma es 10+10+20+30)

Establecia los valores iniciales para el calculo y luego los volvia a usar, por lo que se duplicaba su calculo. Solucionado.

#17 - 04/10/2020 11:14 AM - Alvaro Anguix
Oscar...;entonces se pasa a fixed?

#18 - 04/10/2020 12:57 PM - Joaquin del Cerro Murciano

Alvaro Anguix wrote:

Oscar...; entonces se pasa a fixed?

En teoria estos cambios no han salido en el build 3014. Los fuentes del build 3014 son los que habian hace un par de dias.

#19 - 04/10/2020 03:33 PM - Oscar Martinez

Solucionado todos los fallos. Ahora también tiene soporte para si las capas a disolver tienen campos duplicados. Los cambios afectan también a los

procesos de gvSIG-SpatialJoin y gvSIG-Union, ambos comprobados que funcionan con los cambios.

#20 - 04/10/2020 08:55 PM - Oscar Martinez
- Status changed from New to Fixed

Solucionado que no soportase capas en los gvSIG-Geoprocesos donde la geometria no estaba en el Gltimo puesto. Afecta a procesos de
Interseccién, Disolver, Union y Enlace espacial en mayor medida, y a todos en menor medida. Probado y parece que funciona todo.

#21 - 04/16/2020 02:00 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 429 KB 12/05/2016 Mario Carrera
cv.zip 1.8 MB 12/19/2019 Alvaro Anguix
